/**
 *
 */
package cdo.spring.demo;

import org.eclipse.net4j.util.om.OMPlatform;
import org.eclipse.net4j.util.om.log.PrintLogHandler;
import org.eclipse.net4j.util.om.trace.PrintTraceHandler;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * @author PhaneeshN
 *
 */
public class CDOServer {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
		OMPlatform.INSTANCE.setDebugging(true);
		OMPlatform.INSTANCE.addLogHandler(PrintLogHandler.CONSOLE);
		OMPlatform.INSTANCE.addTraceHandler(PrintTraceHandler.CONSOLE);

		ConfigurableApplicationContext context = new ClassPathXmlApplicationContext("demorepository.xml");
		while (System.in.available() == 0) {
			Thread.sleep(200);
		}
		context.close();
	}

}
